import { RouteRecordRaw, createRouter, createWebHistory,createWebHashHistory } from 'vue-router';

const routes: RouteRecordRaw[] = [
  {
    path: '/',
    name: 'Home',
    component: () => import('../views/Home'),
  },
  {
    path: '/about',
    name: 'About',
    component: () => import('../views/About'),
  },
  {
    path: '/like',
    name: 'Like',
    component: () => import('../views/Like.vue'),
  },
  {
    path: '/exam/begin',
    name: 'examBegin',
    component: () => import('../views/exam/begin.vue'),
  },
  {
    path: '/exam/test',
    name: 'examTest',
    component: () => import('../views/exam/test.vue'),
  },
  {
    path: '/exam/score',
    name: 'examScore',
    component: () => import('../views/exam/score.vue'),
  },
];

const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;
