import { createApp } from 'vue';
import App from './App';
import router from './router';
import store from './store';
import '@/style/index.scss';
import "vant/lib/index.css";
let app = createApp(App)
app.directive('opacity', {
    mounted(el, binding) {
        console.log(binding.value)
        // binding.value 是我们传递给指令的值——在这里是 200 //透明度
        el.style.opacity = binding.value?1:0
    },
    updated(el,binding){
        el.style.opacity = binding.value?1:0

    }
})
app.use(router).use(store).mount('#app');
